For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList custom regex rules
      • POSTCreate custom regex rule
      • GETGet custom regex rule
      • DELDelete custom regex rule
      • PATCHUpdate custom regex rule
      • GETList custom regex rules (Tool Pack)
      • POSTCreate custom regex rule (Tool Pack)
      • GETGet custom regex rule (Tool Pack)
      • DELDelete custom regex rule (Tool Pack)
      • PATCHUpdate custom regex rule (Tool Pack)

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerCustom regex rules

List custom regex rules (Tool Pack)

GET
https://ah-api.merge.dev/api/v1/tool-packs/:tool_pack_id/custom-regex-rules/
GET
/api/v1/tool-packs/:tool_pack_id/custom-regex-rules/
$curl https://ah-api.merge.dev/api/v1/tool-packs/tool_pack_id/custom-regex-rules/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 123,
3 "results": [
4 {
5 "id": "string",
6 "name": "string",
7 "regex": "string",
8 "score": 1.1,
9 "is_active": true,
10 "outbound_action": "string",
11 "defined_at": "string"
12 }
13 ],
14 "next": "https://ah-api.merge.dev?page=4",
15 "previous": "https://ah-api.merge.dev?page=2"
16}

Returns custom regex rules for a tool pack, including organization defaults. Tool-pack-level rules take precedence where both exist.

Was this page helpful?
Previous

Update custom regex rule

Next

Create custom regex rule (Tool Pack)

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

tool_pack_idstringRequiredformat: "uuid"

Query parameters

defined_atstringOptional

Filter by where the rule is defined. Values: ORGANIZATION, TOOL_PACK.

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"